# adpcmenc

Encode ADPCM audio

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──adpcmenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Pioneers of the Inevitable <songbird></songbird>

Classification: – `Codec/Encoder/Audio`

Rank – primary

Plugin – adpcmenc

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-adpcm:
             layout: dvi
        block_align: [ 64, 8192 ]
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### blockalign

    “blockalign” gint

Block size for output stream

Flags : Read / Write

Default value : 1024

### layout

    “layout” GstADPCMEncLayout *

Layout for output stream

Flags : Read / Write

Default value : dvi (0)

## Named constants

### GstADPCMEncLayout

#### Members

`dvi` (0) – DVI/IMA APDCM

The results of the search are